您尚未登录。

#1 2016-11-19 21:31:36

proudlily
会员
注册时间: 2016-11-15
帖子: 3

fcitx中文输入和显卡驱动

[*]查看我的显卡驱动[/*]

lspci |grep VGA

01:00.0 VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 630 Rev. 2] (rev a1)

是NVIDIA ,GeForce GT 630 ,我就安装了xf86-video-nouveau ,发现不能输入中文;我就又安装了xf86-video-vesa ,还是不能输入中文;
最后我安装了nvidia-304xx ,可以输入中文了。但是屏幕比较卡。。。。

------------------------
我的电脑是:4.8.8-1-ARCH,gnome3,gdb
安装的输入法是:fcitx

在~/.xprofile 中输入

export GTK_IM_MODULE=fcitx
export QT_IM_MODULE=fcitx
export XMODIFIERS="@im=fcitx" 

但是怎么都输入不了中文,直到我安装了nvidia-304xx

-----------------------------------------------------
现在问题是,屏幕比较卡,我想问怎么解决 屏幕不卡 但是又可以输入中文?
不要问我,显卡驱动和fcitx的中文输入有什么关系。。。
但是的确是换了闭源的显卡驱动,就能输入中文了。。。

离线

#2 2016-11-19 22:01:05

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,388
个人网站

Re: fcitx中文输入和显卡驱动

好神奇 o.O

离线

#3 2016-11-19 22:21:06

Mr.I
路人丙
所在地: China_shanghai
注册时间: 2015-08-29
帖子: 116

Re: fcitx中文输入和显卡驱动

这个,看上去有点像是没装 nvidia-304xx-libgl 欸  neutral


运维工程师,业余程序员,偶尔写写代码,对 ArchLinux 和 Gnome3 一见钟情 wink

离线

#4 2016-11-20 13:41:46

roadgo
会员
注册时间: 2012-04-07
帖子: 236

Re: fcitx中文输入和显卡驱动

我觉得没这回事。你换个输入法试试。

离线

#5 2016-11-20 15:14:42

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 231

Re: fcitx中文输入和显卡驱动

GT630 的显卡驱动难道不该是 nvidia ?为什么要装 nvidia-304xx ?o.O

离线

#6 2016-11-21 09:13:40

proudlily
会员
注册时间: 2016-11-15
帖子: 3

Re: fcitx中文输入和显卡驱动

zsrkmyn 说:

GT630 的显卡驱动难道不该是 nvidia ?为什么要装 nvidia-304xx ?o.O

请查看install arch 测试

是在https://bbs.archlinuxcn.org/viewtopic.php?id=1037参考的

离线

#7 2016-11-21 09:17:57

proudlily
会员
注册时间: 2016-11-15
帖子: 3

Re: fcitx中文输入和显卡驱动

mgna17 说:

这个,看上去有点像是没装 nvidia-304xx-libgl 欸  neutral

我试图去安装 nvidia-304xx-libgl,但是显示:
mess

离线

#8 2016-11-21 10:20:45

Mr.I
路人丙
所在地: China_shanghai
注册时间: 2015-08-29
帖子: 116

Re: fcitx中文输入和显卡驱动

proudlily 说:

我试图去安装 nvidia-304xx-libgl,但是显示:
https://img.vim-cn.com/be/6bd15beb37700 … 72e977.png

如果你是单N卡或者桌面使用N卡渲染的话,建议替换。
我的N卡台式机刚装机的时候也是这样的,一开始我只装了nvidia,忘记装nvidia-libgl了,桌面很卡,我用nvidia-libgl、lib32-nvidia-libgl替换了mesa-libgl、lib32-mesa-libgl之后就好了。
以上是我的个人经验,也许不一定可以解决你遇到的问题,不过还是可以试一试的 smile


运维工程师,业余程序员,偶尔写写代码,对 ArchLinux 和 Gnome3 一见钟情 wink

离线

#9 2016-11-21 21:35:59

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 231

Re: fcitx中文输入和显卡驱动

proudlily 说:
zsrkmyn 说:

GT630 的显卡驱动难道不该是 nvidia ?为什么要装 nvidia-304xx ?o.O

请查看https://img.vim-cn.com/4f/2848f8a16c39a8edefb7ab7e5f3e0411bec2ab.png

是在https://bbs.archlinuxcn.org/viewtopic.php?id=1037参考的

那么还请麻烦仔细看下 wiki 咯:

https://wiki.archlinux.org/index.php/NVIDIA 说:

2. Determine the necessary driver version for your card by:

        finding the code name (e.g. NV50, NVC0, etc.) on nouveau wiki's code names page

...

3. Install the appropriate driver for your card:

        For GeForce 400 series cards and newer [NVCx and newer], install the nvidia or nvidia-lts package along with nvidia-libgl. If these packages do not work, nvidia-beta may have a newer driver version that offers support.

https://nouveau.freedesktop.org/wiki/CodeNames/ 说:

General code names (supported cards)
...
NVE0     GeForce 600, GeForce 700, GeForce GTX Titan     Kepler
...

...

NVE0 family (Kepler)
NV108 (GK208)     GeForce GT 630, 635, 640, 710M, 720M, 730M, 735M, 740M Quadro K510M, K610M

我猜 GeForce 600 应该是比 GeForce 400 newer 的吧……

最近编辑记录 zsrkmyn (2016-11-21 21:48:40)

离线

#10 2016-11-21 21:38:46

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 231

Re: fcitx中文输入和显卡驱动

wiki 复制过来的东西每次都要手动改格式真是麻烦 sad 每次还要手动添加超链接

最近编辑记录 zsrkmyn (2016-11-21 21:41:07)

离线

#11 2016-11-21 22:04:40

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,388
个人网站

Re: fcitx中文输入和显卡驱动

zsrkmyn 说:

wiki 复制过来的东西每次都要手动改格式真是麻烦 sad 每次还要手动添加超链接

复制 HTML,然后 2bbcode html < a.html > a.bbcode~

比如:


Unsupported drivers

If you have a GeForce 5 FX series card or older, Nvidia no longer supports drivers for your card. This means that these drivers do not support the current Xorg version. It thus might be easier if you use the nouveau driver, which supports the old cards with the current Xorg.

However, Nvidia's legacy drivers are still available and might provide better 3D performance/stability if you are willing to downgrade Xorg:

  • For GeForce 5 FX series cards [NV30-NV36], install the nvidia-173xx-dkmsAUR package. Last supported Xorg version is 1.15.

  • For GeForce 2/3/4 MX/Ti series cards [NV11, NV17-NV28], install the nvidia-96xx-dkmsAUR package. Last supported Xorg version is 1.12.

Tip: The legacy nvidia-96xx-dkms and nvidia-173xx-dkms drivers can also be installed from the unofficial [city] repository. (It is strongly advised that you do not skip any dependencies restriction when installing from here)

离线

#12 2016-11-21 22:10:50

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 231

Re: fcitx中文输入和显卡驱动

依云 说:

复制 HTML,然后 2bbcode html < a.html > a.bbcode~

这玩意太棒了!仙子好棒!

离线

页脚